For the complete documentation index, see llms.txt. This page is also available as Markdown.

Achievement

get

Retrieve Audit Log.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/audit/{muid}/
GET /api/v1/dashboard/achievement/audit/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "hasError": false,
    "statusCode": 200,
    "message": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "response": [
      {
        "id": "text",
        "achievement_id": "text",
        "achievement_name": "text",
        "action": "text",
        "rule_version": 1,
        "metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "performed_by": "text",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ]
  }
}
post

Create Bulk Claim Task Achievement.

Authorizations
sessionidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/bulk-claim/
POST /api/v1/dashboard/achievement/bulk-claim/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
post

Create Achievement Issue Bulk.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/bulk-issue/
POST /api/v1/dashboard/achievement/bulk-issue/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Achievement Bulk Import Template.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/bulk-issue/template/
GET /api/v1/dashboard/achievement/bulk-issue/template/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
post

Create Claim Achievement.

Authorizations
sessionidstringOptional
Path parameters
achievement_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/claim/{achievement_id}/
POST /api/v1/dashboard/achievement/claim/{achievement_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
post

Create Achievement Create.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/create/
POST /api/v1/dashboard/achievement/create/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Debug Achievement.

Authorizations
sessionidstringOptional
Path parameters
achievement_idstringRequired
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/debug/{muid}/{achievement_id}/
GET /api/v1/dashboard/achievement/debug/{muid}/{achievement_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
delete

Delete Achievement Delete.

Authorizations
sessionidstringOptional
Path parameters
achievement_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/achievement/delete/{achievement_id}/
DELETE /api/v1/dashboard/achievement/delete/{achievement_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Eligible Achievements.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/eligible/
GET /api/v1/dashboard/achievement/eligible/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
post

Create User Achievements Issue.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/issue-vc/
POST /api/v1/dashboard/achievement/issue-vc/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Achievement Log List.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/issued-log/
GET /api/v1/dashboard/achievement/issued-log/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Achievement List. Pass ?user_id= to include a 'has_achievement' flag per item.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/list/
GET /api/v1/dashboard/achievement/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve User Achievements List.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/list/user/{muid}/
GET /api/v1/dashboard/achievement/list/user/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "user_id": "text",
    "achievement": {
      "id": "text",
      "achievement_name": "text",
      "description": "text",
      "icon": "text",
      "icon_url": "text",
      "level_id": "text",
      "tags": null,
      "template_id": "text"
    },
    "is_issued": true,
    "vc_url": "text"
  }
}
post

Create Manual Issue.

Authorizations
sessionidstringOptional
Responses
200

Achievement manually issued to user

No content

post/api/v1/dashboard/achievement/manual-issue/
POST /api/v1/dashboard/achievement/manual-issue/ HTTP/1.1
Accept: */*
200

Achievement manually issued to user

No content

get

Retrieve User Progress.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/progress/
GET /api/v1/dashboard/achievement/progress/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "hasError": false,
    "statusCode": 200,
    "message": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "response": [
      {
        "achievement_id": "text",
        "achievement_name": "text",
        "eligible": true,
        "claimed": true,
        "reason": "text",
        "progress": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    ]
  }
}
post

Create Revoke Achievement.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/revoke/
POST /api/v1/dashboard/achievement/revoke/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Achievement Rule List.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/rules/
GET /api/v1/dashboard/achievement/rules/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Achievement Rule Detail.

Authorizations
sessionidstringOptional
Path parameters
rule_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/rules/{rule_id}/
GET /api/v1/dashboard/achievement/rules/{rule_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
patch

Update a rule's rule_type and/or conditions. Works for both active and deactivated rules. Version and achievement association are immutable.

Authorizations
sessionidstringOptional
Path parameters
rule_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/achievement/rules/{rule_id}/
PATCH /api/v1/dashboard/achievement/rules/{rule_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
post

Activate an Achievement Rule.

Authorizations
sessionidstringOptional
Path parameters
rule_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/rules/{rule_id}/activate/
POST /api/v1/dashboard/achievement/rules/{rule_id}/activate/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
post

Create Achievement Rule Deactivate.

Authorizations
sessionidstringOptional
Path parameters
rule_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/rules/{rule_id}/deactivate/
POST /api/v1/dashboard/achievement/rules/{rule_id}/deactivate/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
post

Create Achievement Rule Create.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/achievement/rules/create/
POST /api/v1/dashboard/achievement/rules/create/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}
get

Retrieve Simulate Rules.

Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/achievement/simulate/{muid}/
GET /api/v1/dashboard/achievement/simulate/{muid}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "hasError": false,
    "statusCode": 200,
    "message": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "response": [
      {
        "achievement_id": "text",
        "achievement_name": "text",
        "eligible": true,
        "claimed": true,
        "reason": "text",
        "progress": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      }
    ]
  }
}
put

Update Achievement Update.

Authorizations
sessionidstringOptional
Path parameters
achievement_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/achievement/update/{achievement_id}/
PUT /api/v1/dashboard/achievement/update/{achievement_id}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "icon_url": "text",
    "has_achievement": "text",
    "name": "text",
    "description": "text",
    "icon": "text",
    "has_vc": true,
    "tags": null,
    "type": "text",
    "template_id": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "created_at": "2026-01-01T00:00:00.000Z",
    "level_id": "text",
    "updated_by": "text",
    "created_by": "text"
  }
}

Last updated

Was this helpful?